համակարգիչ
Կայքի մենյու
 
   

Հայատառ դոմենների օնլայն փոխարկիչ

 

Punycode - Unicode փոխարկիչ (IDN)

համակարգիչ

   Որոշ ինտերնետ բրաուզերներ, ծրագրեր և ծառայություններ չեն ճանաչում հայատառ դոմենները: Նրանց ճիշտ աշխատանքի համար հարկավոր է լինում հայատառ դոմենները (․հայ) փոխարինել այսպես կոչված Punycode -ի:

   Իրականում ինչպիսի տեսք ունեն հայատառ դոմենները կարող էք տեսնել այստեղ։
   Ստորև նշված դաշտում մուտքագրեք ․հայ տիրույթի դոմենի անուն առանց http:// և դուք կտեսնեք նրա իրական տեսքը:





Արդյունք:   


   IDN (Internationalized Domain Names)- Միջազգայինացված դոմեյնային անուններ:

    Տեխնիկական սահմանափակումների համաձայն, դոմենային անունները չեն կարող պարունակել ոչ լատինական նիշեր, ուստի այս սահմանափակումը շրջանցելու համար մշակվել են RFC 3490, RFC 3491, RFC 3492 և RFC 3454 հատուկ ստանդարտներ, համաձայն որոնց, այդպիսի անունները պարտադիր կերպով վերածվում են անգլերեն տառերի, թվերի և գծիկների մի շարք, Իսկ այդպիսի փոխարկված անունից առաջ գրվում է հատուկ նախածանց "xn -": այս ստանդարտները սահմանում են, որ դոմենային անունների Նման փոխակերպումը կոչվում է Punycode: Այն թույլ է տալիս ծածկագրել անունները ազգային այբուբեններում ASCII-նիշերով:
    Փոխակերպման գործընթացը կարգավորվում է հաճախորդի դիտարկիչի կողմից: Հետևաբար, դիտարկիչի հասցեի դաշտում «օրինակ.հայ» և «xn--y9atn0a2c3a.xn--y9a3aq» մուտքագրումը նույնն է ժամանակակից դիտարկիչների համար:

Կիսվել սոցցանցերում